/**
 * @addtogroup groupCore
 * @{
 * @file pipelib.h
 * @brief Межпроцессорные каналы.
 * @}
 *
 * @page pageCore
 *
 * @section sectionPipe Работа с межпроцессорными каналами.
 *
 */

#ifndef _PIPELIB_H
#define _PIPELIB_H

#ifdef __cplusplus
extern "C" {
#endif

#include "multex.h"

/**
 * Создать псевдоустройство межпроцессорного канала.
 * @param name Имя устройства.
 * @return \ref OK при успехе, \ref ERROR иначе.
 */
STATUS pipeDevCreate(const char *name);

#ifdef __cplusplus
}
#endif

#endif
