/*
  RTOS MULTEX KLOTHO
  
    Файловая система MSDOS
	
	Author: S.Sokolov 2003-2006(c)

*/

#ifndef MSDOS_H_
#define MSDOS_H_

#ifdef __cplusplus
extern "C" {
#endif


/**
 *  @brief Дескриптор файловой системы.
 *  @details Номер, под которым зарегистрирован драйвер файловой системы.
 *  
 *  @return Дескриптор, либо -1, если файловая система не зарегистрирована.
 */
int dosDriverId ();



/// @privatesection

// Инициализация драйвера.
int dosInit(); 

#ifdef __cplusplus
}
#endif
#endif // ifndef MSDOS_H_
