/**
 * @file uchar.h
 * @brief Unicode utilities from C11.
   @see <a href="https://www.iso.org/standard/57853.html">C11 standard 7.18</a>.
 */

/*
    date Created on: 14 may 2021.
    author Dubovich Timofey
*/

#include <stdint.h>

typedef uint_least16_t char16_t;
typedef uint_least32_t char32_t; 
